#
# Conditional build:
%bcond_without	tests	# do not perform "./Build test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Module
%define		pnam	Build
Summary:	Module::Build - build and install Perl modules
Summary(pl.UTF-8):	Module::Build - budowanie i instalowanie modułów Perla
Name:		perl-Module-Build
Version:	0.4214
Release:	1
Epoch:		2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7b7ca5a47bef48c50c8b5906ca3ac7fb
Patch0:		%{name}-startperl.patch
URL:		http://search.cpan.org/dist/Module-Build/
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-CPAN-Meta >= 2.142060
BuildRequires:	perl-CPAN-Meta-YAML >= 0.003
BuildRequires:	perl-ExtUtils-CBuilder >= 0.27
BuildRequires:	perl-ExtUtils-ParseXS >= 2.21
BuildRequires:	perl-File-Temp >= 0.15
BuildRequires:	perl-Module-Metadata >= 1.000002
BuildRequires:	perl-Parse-CPAN-Meta >= 1.4401
BuildRequires:	perl-Perl-OSType >= 1.00
BuildRequires:	perl-Test-Harness >= 3.16
BuildRequires:	perl-Test-Simple >= 0.49
BuildRequires:	perl-YAML > 0.49_01
BuildRequires:	perl-version >= 1:0.87
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Build is a Perl module to build and install Perl modules. It
is meant to be a replacement for ExtUtils::MakeMaker.

%description -l pl.UTF-8
Module::Build to moduł Perla do budowania i instalowania modułów
Perla. Ma być zamiennikiem ExtUtils::MakeMaker.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Module/Build/*.pod
for s in Default MacOS VMS VOS Windows aix cygwin darwin os2 ; do
	%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Module/Build/Platform/${s}.pm
	%{__rm} $RPM_BUILD_ROOT%{_mandir}/man3/Module::Build::Platform::${s}.3pm
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/config_data
%{perl_vendorlib}/Module/Build.pm
%dir %{perl_vendorlib}/Module/Build
%{perl_vendorlib}/Module/Build/*.pm
%dir %{perl_vendorlib}/Module/Build/Platform
%{perl_vendorlib}/Module/Build/Platform/Unix.pm
%{_mandir}/man1/config_data.1*
%{_mandir}/man3/Module::Build.3pm*
%{_mandir}/man3/Module::Build::[!P]*.3pm*
%{_mandir}/man3/Module::Build::PPMMaker.3pm*
%{_mandir}/man3/Module::Build::Platform::Unix.3pm*
%changelog
* Tue Mar 22 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Module-Build.git;a=log;h=master

* Sat Dec 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 2a514af
- updated to 0.4214

* Sat Dec 26 2015 Jan Rękorajski <baggins@pld-linux.org> 4d67695
- release 3 (by relup.sh)

* Mon Sep 28 2015 Elan Ruusamäe <glen@delfi.ee> 9da1859
- release 2 (by relup.sh)

* Tue Sep 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 187920d
- up to 0.4210

* Tue May 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 1dd9e8e
- updated to 0.40, epoch 2

* Sat Mar 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 14e10f9
- cleanup

* Thu Mar 10 2011 lisu <lisu@pld-linux.org> 9cc7e33
- s/perl-CPAN/perl-CPAN-Meta
- rel 2

* Thu Mar 10 2011 lisu <lisu@pld-linux.org> b498058
- up to 0.3800
- BRs: perl-CPAN, perl-Parse-CPAN-Meta >= 1.4401 for tests

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 15160db
- unified Source URL

* Fri Feb 11 2011 lisu <lisu@pld-linux.org> 709679f
- updated to 0.3624
- updated BRs versions
- new BRs: perl-CPAN-Meta-YAML, perl-Module-Metadata >= 1.000002, perl-Perl-OSType >= 1.00, perl-version >= 1:0.87

* Thu Apr 08 2010 lisu <lisu@pld-linux.org> fd974da
- up to 0.3607

* Mon Feb 15 2010 sparky <sparky@pld-linux.org> 557c99b
- Epoch: 1 (because 0.340201 > 0.3603)

* Mon Feb 15 2010 lisu <lisu@pld-linux.org> accea55
- new Soruce0 URL

* Mon Feb 15 2010 lisu <lisu@pld-linux.org> 0bc1e35
- updated to 0.3601

* Thu Aug 27 2009 amateja <amateja@pld-linux.org> a5c86a6
- updated to 0.340201

* Mon Apr 30 2007 radek <radek@pld-linux.org> 40addf7
- version 0.2808

* Mon Apr 30 2007 radek <radek@pld-linux.org> d26296b
- updated for 0.2808

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3dcd4c6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 212addf
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 7e62375
- updated to 0.2806, updated startperl patch
- BRs needed to test optional functionality

